# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(Web/Library/Provider.pm) perl(Web/Library/SimpleAssets.pm) perl(Web/Library/Test.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Web-Library-DataTables
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Distribution wrapper around DataTables
Group: Development/Perl
License: perl
URL: https://github.com/marcelgruenauer/Web-Library-DataTables

Source0: http://cpan.org.ua/authors/id/M/MA/MARCEL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a distribution wrapper around the jQuery plugin DataTables. It enables.you to include the client-side library in multiple Web application projects
with very little effort. See the Web::Library manpage for the general concept and how to
use it with the Catalyst manpage.

DataTables is a jQuery plugin and as such requires jQuery. However, this
distribution does not define a dependency on the Web::Library::jQuery manpage because
you might want to load jQuery in some other way, and in any case it can't make
an assumption about which version of jQuery you want to use. Therefore, you
might want to use it this way:

    my $library_manager = Web::Library->instance;
    $library_manager->mount_library({ name => 'jQuery' });
    $library_manager->mount_library({ name => 'DataTables' });


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/W*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

